summaryrefslogtreecommitdiff
path: root/tests/test-lib.sh
diff options
context:
space:
mode:
authorPádraig Brady <P@draigBrady.com>2008-03-28 14:32:44 +0100
committerJim Meyering <meyering@redhat.com>2008-03-28 14:33:27 +0100
commitdc16dc835c8ba446136e01e994b0008ed32984fa (patch)
treed14a704eaedbbbfd4319ac8203e91f6c7807aac0 /tests/test-lib.sh
parent17720c10cd73b71230f309137c437bf3aad7b6f5 (diff)
downloadcoreutils-dc16dc835c8ba446136e01e994b0008ed32984fa.tar.xz
tests: Factor out code that's going to be reused.
* tests/test-lib.sh (mkfifo_or_skip_): New function, factored out of... * tests/touch/fifo: ...here.
Diffstat (limited to 'tests/test-lib.sh')
-rw-r--r--tests/test-lib.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/tests/test-lib.sh b/tests/test-lib.sh
index c494e19ff..078afca4d 100644
--- a/tests/test-lib.sh
+++ b/tests/test-lib.sh
@@ -120,6 +120,18 @@ skip_if_root_() { uid_is_privileged_ && skip_test_ "must be run as non-root"; }
error_() { echo "$0: $@" 1>&2; (exit 1); exit 1; }
framework_failure() { error_ 'failure in testing framework'; }
+mkfifo_or_skip_()
+{
+ test $# = 1 || framework_failure
+ if ! mkfifo "$1"; then
+ # Make an exception of this case -- usually we interpret framework-creation
+ # failure as a test failure. However, in this case, when running on a SunOS
+ # system using a disk NFS mounted from OpenBSD, the above fails like this:
+ # mkfifo: cannot make fifo `fifo-10558': Not owner
+ skip_test_ 'NOTICE: unable to create test prerequisites'
+ fi
+}
+
test_dir_=$(pwd)
this_test_() { echo "./$0" | sed 's,.*/,,'; }